Sessions
Get session
Returns metadata for a session.
Usage
import { ContextEngineClient } from "@clinia/context-engine-js";
// Initialize the client
const client = new ContextEngineClient({
baseUrl: process.env.CLINIA_WORKSPACE,
auth: {
clientId: process.env.CLINIA_CLIENT_ID,
clientSecret: process.env.CLINIA_CLIENT_SECRET,
},
});
// Call the API
const { data, error } = await client.sessions.getSession("<patient-id>", "<session-id>");
// Print the response
console.log(data ?? error);The environment variables are set in Install and authenticate, for JavaScript or Python.
API reference
GET /v1/patients/{patientId}/sessions/{sessionId} documents the parameters, the request body and the responses.